Bug 1165939 - The Groups actions panel should not show for a normal user
Summary: The Groups actions panel should not show for a normal user
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.7
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-20 04:50 UTC by Damian Jansen
Modified: 2015-07-22 02:20 UTC (History)
2 users (show)

Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3175)
Doc Type: Bug Fix
Doc Text:
Story Points: 1
Clone Of:
Environment:
Last Closed: 2015-07-22 02:20:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2014-11-20 04:50:26 UTC
Description of problem:
The only action for the Groups list is "New Group", which doesn't show for a normal user. However, the actions box still shows as empty.

Version-Release number of selected component (if applicable):
3.5

How reproducible:
Easy always

Steps to Reproduce:
1. Log in as normal user, go to Groups

Actual results:
Empty box is visible

Expected results:
No box visible (ala non logged in user)

Additional info:

Comment 1 Damian Jansen 2015-03-31 22:21:43 UTC
https://github.com/zanata/zanata-server/pull/760

This is an "interim" fix for before either adding new actions or redoing the entire page.


Note You need to log in before you can comment on or make changes to this bug.